package sklep.klient;

import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.nio.file.StandardCopyOption;

public class Klient01_URL {
    // W najprostszych sytuacjach "zasób" z internetu można pobrać za pomocą klasy URL.
    // Tutaj wynik zapytania zapisujemy do pliku.

    public static void main(String[] args) {
        try {
            URL url = new URL(Ustawienia.ADRES_USLUGI + "/products.json");
            try(InputStream inputStream = url.openStream()) {
                Files.copy(inputStream, Paths.get("wynik01.json"), StandardCopyOption.REPLACE_EXISTING);
                System.out.println("OK");
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
